%define mkdir_p		mkdir -p

%define license		Freeware
%define dict_filename	wn

%define summary		WordNet for dictd
%define descr		WordNet (r) 1.7a for dictd
%define name		dictd-dicts-wn
%define version         0.1.0
%define release         11mdk
%define group           Databases

%define __dictzip       %(which dictzip)

Summary:	WordNet for dictd
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	%{license}
Group:		%{group}
Packager:	Robert M. Stockmann <stock@stokkie.net>
Source:		ftp://ftp.dict.org/pub/dict/pre/dict-wn_1.7a.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	dictzip >= 1.12.1
Requires:	dictd >= 1.12.1
Requires(post):	dictd >= 1.12.1
Requires(postun):	dictd >= 1.12.1

%description
%{descr}

%prep
%setup -c -q

%build
# dictzip the dict dictionary file, if it's not yet zipped
if ls *.dict >/dev/null 2>&1; then
	dictzip *.dict
fi

%install
%{__rm} -rf %{buildroot}

%{mkdir_p} %{buildroot}%{_datadir}/dictd
cp %{dict_filename}*dict* %{buildroot}%{_datadir}/dictd
cp %{dict_filename}*index* %{buildroot}%{_datadir}/dictd

%clean
%{__rm} -rf %{buildroot}

%post
%{_sbindir}/dictdconfig -w
echo "Restarting dictd-server, because configuration has been changed..."
%{_sbindir}/invoke-rc.d dictd restart

%postun
# XXX: control of package erasure ordering is only in rpm >= 4.4.8,
# this is a hack to not fail removal if dictd-server disappeared under our feet
if [ -x %{_sbindir}/update-dictd.conf ]; then
  %{_sbindir}/dictdconfig -w
  echo "Restarting dictd-server, because configuration has been changed..."
  %{_sbindir}/invoke-rc.d dictd restart
fi

%files
%defattr(644, root, root)
%{_datadir}/dictd/%{dict_filename}*dict*
%{_datadir}/dictd/%{dict_filename}*index*


%changelog
* Fri Dec 22 2006 Gustavo De Nardin <gustavodn@mandriva.com> 0.1.0-11mdv2007.0
+ Revision: 101191
- make use of update-dictd.conf scheme, introduced by dictd-1.10.1-4
- bump release of all dictd-dicts-* to 11, for proper upgrades
- BuildRequires only dictd-utils, for dictzip, not full dictd
- versioned provides of meta packages, for proper upgrades
- Requires only dictd-server, not full dictd
- Requires(post/postun) for proper order in install and removal
- introduce a hack to avoid being unremovable if dictd-server is removed
  before, even though the Requires(postun)
- Imported into SVN repo

